RDKit::SubstructMatchParameters Struct Reference

`#include <SubstructMatch.h>`

## Public Member Functions

| SubstructMatchParameters ()

## Public Attributes

bool | useChirality = false
bool | useEnhancedStereo = false
bool | aromaticMatchesConjugated = false
bool | useQueryQueryMatches = false
bool | recursionPossible = true
| Allow recursive queries. More...
bool | uniquify = true
| uniquify (by atom index) match results More...
unsigned int | maxMatches = 1000
| maximum number of matches to return More...
int | numThreads = 1
std::function< bool(const ROMol &mol, const std::vector< unsigned int > &match)> | extraFinalCheck

## Detailed Description

Definition at line 33 of file SubstructMatch.h.

## Constructor & Destructor Documentation

## SubstructMatchParameters()

RDKit::SubstructMatchParameters::SubstructMatchParameters | ( |  | ) |

inline

Definition at line 55 of file SubstructMatch.h.

## Member Data Documentation

## aromaticMatchesConjugated

bool RDKit::SubstructMatchParameters::aromaticMatchesConjugated = false

Aromatic and conjugated bonds match each other

Definition at line 38 of file SubstructMatch.h.

## extraFinalCheck

std::function<bool(const ROMol &mol, const std::vector<unsigned int> &match)> RDKit::SubstructMatchParameters::extraFinalCheck

a function to be called at the end to validate a match

Definition at line 52 of file SubstructMatch.h.

## maxMatches

unsigned int RDKit::SubstructMatchParameters::maxMatches = 1000

maximum number of matches to return

Definition at line 44 of file SubstructMatch.h.

Referenced by RDKit::SubstructMatch().

## numThreads

int RDKit::SubstructMatchParameters::numThreads = 1

number of threads to use when multi-threading is possible. 0 selects the number of concurrent threads supported by the hardware negative values are added to the number of concurrent threads supported by the hardware

Definition at line 45 of file SubstructMatch.h.

Referenced by RDKit::SubstructMatch().

## recursionPossible

bool RDKit::SubstructMatchParameters::recursionPossible = true

Allow recursive queries.

Definition at line 42 of file SubstructMatch.h.

Referenced by RDKit::SubstructLibrary::countMatches(), RDKit::SubstructLibrary::getMatches(), RDKit::SubstructLibrary::hasMatch(), and RDKit::SubstructMatch().

## uniquify

bool RDKit::SubstructMatchParameters::uniquify = true

uniquify (by atom index) match results

Definition at line 43 of file SubstructMatch.h.

Referenced by RDKit::SubstructMatch().

## useChirality

bool RDKit::SubstructMatchParameters::useChirality = false

Use chirality in determining whether or not atoms/bonds match

Definition at line 34 of file SubstructMatch.h.

Referenced by RDKit::SubstructLibrary::countMatches(), RDKit::SubstructLibrary::getMatches(), RDKit::SubstructLibrary::hasMatch(), RDKit::RGroupDecompositionParameters::RGroupDecompositionParameters(), and RDKit::SubstructMatch().

## useEnhancedStereo

bool RDKit::SubstructMatchParameters::useEnhancedStereo = false

Use enhanced stereochemistry in determining whether atoms/bonds match

Definition at line 36 of file SubstructMatch.h.

## useQueryQueryMatches

bool RDKit::SubstructMatchParameters::useQueryQueryMatches = false

Consider query-query matches, not just simple matches

Definition at line 40 of file SubstructMatch.h.

Referenced by RDKit::SubstructLibrary::countMatches(), RDKit::SubstructLibrary::getMatches(), RDKit::SubstructLibrary::hasMatch(), and RDKit::SubstructMatch().

The documentation for this struct was generated from the following file:

- SubstructMatch.h